Returns a list of trades.
Use this method if you want to get a list of trades. Permissions: Unit users. Trades api family.
Query Parameters
- Type: stringFormat: date-timeFrom
Date Starting date to filter documentrs. If omitted or earlier than a start of a working period, it will be replaced with the period start date
- Type: stringFormat: date-timeThru
Date Ending date to filter documentrs. If omitted or later than an end of a working period, it will be replaced with the period end date
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
Request Example for get/v2/Trades
curl /v2/Trades \
--header 'DCKey: YOUR_SECRET_TOKEN'
[
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"TradingStoreID": 1,
"Number": null,
"Date": "2019-01-03",
"SendingUser": null,
"ReceivingUser": null,
"Comment": null,
"ShiftID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Amount": 1,
"Store": null,
"Type": "string",
"Status": "string",
"Shift": null,
"LockByEditDate": true
}
]